/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/productactivation.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/productactivation.xml',
'<View showSubmit="true" submitLabel="Activate" title="Product activation" defaultFormHandler="xxas_page_util_pkg.save_form">

  <EditFields>
    <Hidden id="PROD_KEY"/>
    <Hidden id="PERSON_ID"/>
    <TextInput id="PRODUCT_NAME" label="Product Name" enabled="false"/>
    <TextInput id="SERIAL_NUMBER" label="Serial Number" enabled="false"/>
    <TextInput id="ACTIVATION_CODE" label="Activation Code" enabled="true" required="true" emptyValue="AC-12345-67890-12345-67890"/>
  </EditFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/productactivation.xml');
END;
/
COMMIT;
EXIT;
